ghc-prim-0.2.0.0: GHC primitives

Portability | non-portable (GHC Extensions)
Stability | internal
Maintainer | cvs-ghc@haskell.org
Safe Haskell | Trustworthy

GHC.Magic

Description

GHC magic.

Use GHC.Exts from the base package instead of importing this module directly.

Synopsis

- inline :: a -> a

# Documentation

inline :: a -> a

The call '(inline f)' reduces to `f`, but `inline` has a BuiltInRule that tries to inline `f` (if it has an unfolding) unconditionally The `NOINLINE` pragma arranges that inline only gets inlined (and hence eliminated) late in compilation, after the rule has had a good chance to fire.